Quantcast

issue while installing m2e: "Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences"

classic Classic list List threaded Threaded
4 messages Options
ye
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

issue while installing m2e: "Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences"

ye
Hi, folks:

I just downloaded a new "eclipse 3.4.2 jee for macOSX", and tried to install "m2e" by update via http://m2eclipse.sonatype.org/update/

However, every time i was prompted by:
"Cannot complete the request.  See the details.
Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences [3.2.201.R34x_v20080709]."

Is there anyone could help to address this annoying issue?

Best Regards,
ye

--
Ye Huang, Department of Informatics
University of Fribourg / Pérolles 2 - Bld de Pérolles 90
1700 Fribourg, Switzerland

e-mail: [hidden email],  [hidden email]
http://diuf.unifr.ch/people/huangy/
Office: +41 26 429 65 95
ye
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: issue while installing m2e: "Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences"

ye
BTW, accordingly, I tried to install "eclipse-equinox" related stuff, and tried the m2e after the eclipse restart, but got the same issue.

Then I tried to install "eclipse equinox" again, but the reply mentioned it's complete already as follows...

Cannot complete the request.  See the details.
Equinox Bundles will be ignored because it is already installed.
Equinox p2 Provisioning will be ignored because it is already installed.
Equinox Bundles will be ignored because it is already installed.
Equinox Bundles Developer Resources will be ignored because it is already installed.
Equinox p2 Agent will be ignored because it is already installed.
Equinox p2 Director Application will be ignored because it is already installed.
Equinox p2 Generator Application will be ignored because it is already installed.
Equinox p2 Provisioning will be ignored because it is already installed.
OK



On Sun, May 10, 2009 at 9:04 PM, ye <[hidden email]> wrote:
Hi, folks:

I just downloaded a new "eclipse 3.4.2 jee for macOSX", and tried to install "m2e" by update via http://m2eclipse.sonatype.org/update/

However, every time i was prompted by:
"Cannot complete the request.  See the details.
Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences [3.2.201.R34x_v20080709]."

Is there anyone could help to address this annoying issue?

Best Regards,
ye

--
Ye Huang, Department of Informatics
University of Fribourg / Pérolles 2 - Bld de Pérolles 90
1700 Fribourg, Switzerland

e-mail: [hidden email],  [hidden email]
http://diuf.unifr.ch/people/huangy/
Office: +41 26 429 65 95

ye
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: issue while installing m2e: "Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences"

ye
Hi, folks:
It seems that the issue can be addressed by installing subclipse, mylyn, and ajdt firstly via corresponding eclipse update sites...

Have fun!

ye

On Sun, May 10, 2009 at 9:11 PM, ye <[hidden email]> wrote:
BTW, accordingly, I tried to install "eclipse-equinox" related stuff, and tried the m2e after the eclipse restart, but got the same issue.

Then I tried to install "eclipse equinox" again, but the reply mentioned it's complete already as follows...


Cannot complete the request.  See the details.
Equinox Bundles will be ignored because it is already installed.
Equinox p2 Provisioning will be ignored because it is already installed.
Equinox Bundles will be ignored because it is already installed.
Equinox Bundles Developer Resources will be ignored because it is already installed.
Equinox p2 Agent will be ignored because it is already installed.
Equinox p2 Director Application will be ignored because it is already installed.
Equinox p2 Generator Application will be ignored because it is already installed.
Equinox p2 Provisioning will be ignored because it is already installed.
OK




On Sun, May 10, 2009 at 9:04 PM, ye <[hidden email]> wrote:
Hi, folks:

I just downloaded a new "eclipse 3.4.2 jee for macOSX", and tried to install "m2e" by update via http://m2eclipse.sonatype.org/update/

However, every time i was prompted by:
"Cannot complete the request.  See the details.
Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences [3.2.201.R34x_v20080709]."

Is there anyone could help to address this annoying issue?

Best Regards,
ye

--
Ye Huang, Department of Informatics
University of Fribourg / Pérolles 2 - Bld de Pérolles 90
1700 Fribourg, Switzerland

e-mail: [hidden email],  [hidden email]
http://diuf.unifr.ch/people/huangy/
Office: +41 26 429 65 95





Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Re: issue while installing m2e: "Cannot find a solution satisfying the following requirements org.eclipse.equinox.preferences"

Eugene Kuleshov

  If that is the case, you can also uncheck the corresponding _optional_
m2eclipse features that have dependencies on subclipse, mylyn and ajdt.

  regards,
  Eugene


ye wrote:

> Hi, folks:
> It seems that the issue can be addressed by installing subclipse,
> mylyn, and ajdt firstly via corresponding eclipse update sites...
>
> Have fun!
>
> ye
>
> On Sun, May 10, 2009 at 9:11 PM, ye <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     BTW, accordingly, I tried to install "eclipse-equinox" related
>     stuff, and tried the m2e after the eclipse restart, but got the
>     same issue.
>
>     Then I tried to install "eclipse equinox" again, but the reply
>     mentioned it's complete already as follows...
>
>
>     Cannot complete the request.  See the details.
>     Equinox Bundles will be ignored because it is already installed.
>     Equinox p2 Provisioning will be ignored because it is already
>     installed.
>     Equinox Bundles will be ignored because it is already installed.
>     Equinox Bundles Developer Resources will be ignored because it is
>     already installed.
>     Equinox p2 Agent will be ignored because it is already installed.
>     Equinox p2 Director Application will be ignored because it is
>     already installed.
>     Equinox p2 Generator Application will be ignored because it is
>     already installed.
>     Equinox p2 Provisioning will be ignored because it is already
>     installed.
>     OK
>
>
>
>
>     On Sun, May 10, 2009 at 9:04 PM, ye <[hidden email]
>     <mailto:[hidden email]>> wrote:
>
>         Hi, folks:
>
>         I just downloaded a new "eclipse 3.4.2 jee for macOSX", and
>         tried to install "m2e" by update via
>         http://m2eclipse.sonatype.org/update/
>
>         However, every time i was prompted by:
>         "Cannot complete the request.  See the details.
>         Cannot find a solution satisfying the following requirements
>         org.eclipse.equinox.preferences [3.2.201.R34x_v20080709]."
>
>         Is there anyone could help to address this annoying issue?
>
>         Best Regards,
>         ye
>
>         --
>         Ye Huang, Department of Informatics
>         University of Fribourg / Pérolles 2 - Bld de Pérolles 90
>         1700 Fribourg, Switzerland
>
>         e-mail: [hidden email],  [hidden email]
>         http://diuf.unifr.ch/people/huangy/
>         Office: +41 26 429 65 95
>
>
>
>
>
>


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Loading...